io.undertow.server.session

## Enum SessionListener.SessionDestroyedReason

- java.lang.Object
- - java.lang.Enum<SessionListener.SessionDestroyedReason>
  - - io.undertow.server.session.SessionListener.SessionDestroyedReason

All Implemented Interfaces:
  Serializable, Comparable<SessionListener.SessionDestroyedReason>

Enclosing interface:
  SessionListener

    public static enum SessionListener.SessionDestroyedReason
    extends Enum<SessionListener.SessionDestroyedReason>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`INVALIDATED`
`TIMEOUT`
`UNDEPLOY`

### Method Summary

All Methods Static Methods Concrete Methods
`static SessionListener.SessionDestroyedReason` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SessionListener.SessionDestroyedReason[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INVALIDATED

    public static final SessionListener.SessionDestroyedReason INVALIDATED

#### TIMEOUT

    public static final SessionListener.SessionDestroyedReason TIMEOUT

#### UNDEPLOY

    public static final SessionListener.SessionDestroyedReason UNDEPLOY

### Method Detail

#### values

    public static SessionListener.SessionDestroyedReason[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SessionListener.SessionDestroyedReason c : SessionListener.SessionDestroyedReason.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SessionListener.SessionDestroyedReason valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null